source: trunk/softs/tests_cc_vcache/test_ri/run @ 520

Last change on this file since 520 was 520, checked in by bouyer, 11 years ago

Re-add the tests; reverting previous which was done at the wrong level (sorry)

  • Property svn:executable set to *
File size: 484 bytes
Line 
1#!/bin/sh
2
3. ../common/common.sh
4
5check_output()
6{
7        egrep "^status 0x00400002 cause 0x00000028 pc 0xBFC00034 badva 0x00000000$" run.out > /dev/null
8        if [ $? -ne 0 ]; then
9                echo "couldn't find string 1 in output - mtty not working ?" >> run.out
10                return 1
11        fi
12        return 0;
13}
14
15make --quiet || exit 1
16${SIMUL} > run.out 2>&1 
17if [ $? -eq 0 ]; then
18        if check_output; then
19                echo "test passsed";
20                make --quiet clean
21                exit 0;
22        fi
23        echo "test FAILED"
24        exit 1
25fi
26echo "test FAILED"
27exit 1
28
Note: See TracBrowser for help on using the repository browser.